2019-12-13 08:15 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002257FSSCPHUDpublic2010-12-07 11:29
ReporterGeneralBattuta 
Assigned ToThe_E 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.12 RC3 
Target VersionFixed in Version3.6.13 
Summary0002257: 'Artillery firing' HUD message always appears when SSMs are fired, even hostile ones
DescriptionHostile SSMs cause an 'Artillery firing' HUD message, which makes little sense. Any way to place this under control?
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0012211

GeneralBattuta (reporter)

I'd like the ability to define SSMs call by IFF, or deactive them entirely. Alternatively, just suppress them for non-friendly SSMs.

~0012212

Fury (reporter)

Since SSM's are always set up in ssm.tbl, this would be the best place to control each and every SSM.

~0012505

The_E (administrator)

Last edited: 2010-12-07 11:26

Message can now be customized by using entry 1570 in strings.tbl.

I also added new fields to ssm.tbl, "+HUD Message:", which is a boolean option that allows you to turn messages off entirely, and "+Custom Message:", which is a string field that allows you to define a custom message for that SSM type.

+Notes

-Issue History
Date Modified Username Field Change
2010-07-09 20:23 GeneralBattuta New Issue
2010-07-09 20:25 GeneralBattuta Note Added: 0012211
2010-07-10 07:49 Fury Note Added: 0012212
2010-12-07 10:56 The_E Note Added: 0012505
2010-12-07 10:57 The_E Status new => assigned
2010-12-07 10:57 The_E Assigned To => The_E
2010-12-07 11:19 The_E Note Edited: 0012505
2010-12-07 11:26 The_E Note Edited: 0012505
2010-12-07 11:29 The_E Status assigned => resolved
2010-12-07 11:29 The_E Fixed in Version => 3.6.13
2010-12-07 11:29 The_E Resolution open => fixed
+Issue History